<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.coupon.mapper.CouponBusinessTypeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.coupon.model.CouponBusinessType" >
    <id column="COUPON_BUSINESS_TYPE_ID" property="couponBusinessTypeId" jdbcType="BIGINT" />
    <result column="SYSTEM_ID" property="systemId" jdbcType="BIGINT" />
    <result column="COUPON_BUSINESS_TYPE_CODE" property="couponBusinessTypeCode" jdbcType="VARCHAR" />
    <result column="COUPON_BUSINESS_TYPE_NAME" property="couponBusinessTypeName" jdbcType="VARCHAR" />
    <result column="IS_ACTIVE" property="isActive" jdbcType="CHAR" />
    <result column="CREATE_TIME" property="createTime" jdbcType="CHAR" />
    <result column="UPDATE_TIME" property="updateTime" jdbcType="CHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    COUPON_BUSINESS_TYPE_ID, SYSTEM_ID, COUPON_BUSINESS_TYPE_CODE, COUPON_BUSINESS_TYPE_NAME, CREATE_TIME,UPDATE_TIME,
    IS_ACTIVE
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from coupon_business_type
    where COUPON_BUSINESS_TYPE_ID = #{couponBusinessTypeId,jdbcType=BIGINT}
  </select>
  <select id="selectList" resultMap="BaseResultMap">
  	select 
  	<include refid="Base_Column_List" />
    from coupon_business_type
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from coupon_business_type
    where COUPON_BUSINESS_TYPE_ID = #{couponBusinessTypeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.coupon.model.CouponBusinessType" >
    insert into coupon_business_type (COUPON_BUSINESS_TYPE_ID, SYSTEM_ID, COUPON_BUSINESS_TYPE_CODE, 
      COUPON_BUSINESS_TYPE_NAME, CREATE_TIME,UPDATE_TIME, IS_ACTIVE)
    values (#{couponBusinessTypeId,jdbcType=BIGINT}, #{systemId,jdbcType=BIGINT}, #{couponBusinessTypeCode,jdbcType=VARCHAR}, 
      #{couponBusinessTypeName,jdbcType=VARCHAR},#{createTime,jdbcType=CHAR},#{updateTime,jdbcType=CHAR}, #{isActive,jdbcType=CHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.coupon.model.CouponBusinessType" >
    insert into coupon_business_type
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="couponBusinessTypeId != null" >
        COUPON_BUSINESS_TYPE_ID,
      </if>
      <if test="systemId != null" >
        SYSTEM_ID,
      </if>
      <if test="couponBusinessTypeCode != null" >
        COUPON_BUSINESS_TYPE_CODE,
      </if>
      <if test="couponBusinessTypeName != null" >
        COUPON_BUSINESS_TYPE_NAME,
      </if>
      <if test="isActive != null" >
        IS_ACTIVE,
      </if>
      <if test="createTime != null" >
        CREATE_TIME,
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="couponBusinessTypeId != null" >
        #{couponBusinessTypeId,jdbcType=BIGINT},
      </if>
      <if test="systemId != null" >
        #{systemId,jdbcType=BIGINT},
      </if>
      <if test="couponBusinessTypeCode != null" >
        #{couponBusinessTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="couponBusinessTypeName != null" >
        #{couponBusinessTypeName,jdbcType=VARCHAR},
      </if>
      <if test="isActive != null" >
        #{isActive,jdbcType=CHAR},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=CHAR},
      </if>
      <if test="updateTime != null" >
        #{updateTime,jdbcType=CHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.coupon.model.CouponBusinessType" >
    update coupon_business_type
    <set >
      <if test="systemId != null" >
        SYSTEM_ID = #{systemId,jdbcType=BIGINT},
      </if>
      <if test="couponBusinessTypeCode != null" >
        COUPON_BUSINESS_TYPE_CODE = #{couponBusinessTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="couponBusinessTypeName != null" >
        COUPON_BUSINESS_TYPE_NAME = #{couponBusinessTypeName,jdbcType=VARCHAR},
      </if>
      <if test="isActive != null" >
        IS_ACTIVE = #{isActive,jdbcType=CHAR},
      </if>
      <if test="createTime != null" >
        CREATE_TIME = #{createTime,jdbcType=CHAR},
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      </if>
    </set>
    where COUPON_BUSINESS_TYPE_ID = #{couponBusinessTypeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.coupon.model.CouponBusinessType" >
    update coupon_business_type
    set SYSTEM_ID = #{systemId,jdbcType=BIGINT},
      COUPON_BUSINESS_TYPE_CODE = #{couponBusinessTypeCode,jdbcType=VARCHAR},
      COUPON_BUSINESS_TYPE_NAME = #{couponBusinessTypeName,jdbcType=VARCHAR},
      IS_ACTIVE = #{isActive,jdbcType=CHAR},
      CREATE_TIME = #{createTime,jdbcType=CHAR},
      UPDATE_TIME = #{updateTime,jdbcType=CHAR}
    where COUPON_BUSINESS_TYPE_ID = #{couponBusinessTypeId,jdbcType=BIGINT}
  </update>
</mapper>